/***************************************************************************
 * trackmodel.cpp
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "trackmodel.h"

#include "trackpos.h"

/*
TrackModel::TrackModel()
: TabTrack()
{
	emit trackChanged();
}

TrackModel::TrackModel(TrackMode tm, const QString& name, int channel, int bank, uchar patch, char string, char frets)
: TabTrack(tm, name, channel, bank, patch, string, frets)
{
	emit trackChanged();
}

TrackModel::TrackModel(const TabTrack& track)
: TabTrack(track)
{
	emit trackChanged();
}

TrackModel::~TrackModel()
{
}

TabTrack& TrackModel::operator=(const TabTrack& track)
{
	TabTrack& result = TabTrack::operator=(track);
	
	emit trackChanged();
	
	return result;
}

void TrackModel::addBar(TabBar* bar)
{
	TabTrack::addBar(bar);
	
	emit barAdded(size());
}

void TrackModel::insertBar(int barNumber, TabBar* bar)
{
	TabTrack::insertBar(barNumber, bar);
	
	emit barAdded(barNumber);
}

void TrackModel::insertEmptyBar(const TrackPos& position)
{
	TabTrack::insertEmptyBar(position);
	
	emit barAdded(position.bar());
}

void TrackModel::insertEmptyBar(int barNumber)
{
	TabTrack::insertEmptyBar(barNumber);
	
	emit barAdded(barNumber);
}

void TrackModel::setBar(int barNumber, TabBar* bar)
{
	TabTrack::setBar(barNumber, bar);
	
	emit barAdded(barNumber);
}

void TrackModel::deleteBar(int barNumber)
{
	TabTrack::deleteBar(barNumber);
	
	emit barDeleted(barNumber);
}

void TrackModel::setTime(const TrackPos& position, TabTimes* tabTime)
{
}

void TrackModel::setTime(int barNumber, uint timeNumber, TabTimes* tabTime)
{
}

void TrackModel::insertTime(const TrackPos& position, TabTimes* tabTime)
{
}

void TrackModel::insertTime(int barNumber, TabTimes* tabTime)
{
}

void TrackModel::deleteTime(int barNumber, uint timeNumber)
{
}

void TrackModel::deleteTime(const TrackPos& position)
{
}

TabTimes* TrackModel::time(const TrackPos& position) const
{
}

TabTimes* TrackModel::time(int barNumber, uint timeNumber) const
{
}

void TrackModel::setTimeDuration(const TrackPos& position, Duration duration)
{
}

void TrackModel::setTimeDuration(int barNumber, uint timeNumber, Duration duration)
{
}

Duration TrackModel::timeDuration(const TrackPos& position) const
{
}

Duration TrackModel::timeDuration(int barNumber, uint timeNumber) const
{
}

bool TrackModel::isEmptyTime(const TrackPos& position) const
{
}

bool TrackModel::isEmptyTime(int barNumber, uint timeNumber) const
{
}

void TrackModel::setRest(int barNumber, uint timeNumber, bool b)
{
}

void TrackModel::setRest(const TrackPos& position, bool b)
{
}

void TrackModel::setDotted(int barNumber, uint timeNumber, bool b)
{
}

void TrackModel::setDotted(const TrackPos& position, bool b)
{
}

void TrackModel::setNote(const TrackPos& position, TabNote* tabNote)
{
}

void TrackModel::setNote(int barNumber, uint timeNumber, uint stringNumber, TabNote* tabNote)
{
}

TabNote* TrackModel::note(const TrackPos& position) const
{
}

TabNote* TrackModel::note(int barNumber, uint timeNumber, uint stringNumber) const
{
}

void TrackModel::deleteNote(int barNumber, uint timeNumber, uint stringNumber)
{
}

void TrackModel::deleteNote(const TrackPos& position)
{
}

void TrackModel::setFret(const TrackPos& position, uint fret)
{
}

void TrackModel::setFret(int barNumber, uint timeNumber, uint stringNumber, uint fret)
{
}

void TrackModel::deleteFret(int barNumber, uint time, uint stringNumber)
{
}

void TrackModel::deleteFret(const TrackPos& position)
{
}

void TrackModel::setProperties(TrackProperties* properties)
{
}

void TrackModel::setMode(TrackMode mode)
{
}

void TrackModel::setName(const QString &string)
{
}

void TrackModel::setColor(const QColor& c)
{
}

void TrackModel::setNbStrings(uchar i)
{
}

void TrackModel::setNbFrets(uchar i)
{
}

void TrackModel::setTune(uchar i, uchar j)
{
}

void TrackModel::setCapo(uchar c)
{
}

void TrackModel::setMidiProperties(TrackMidiProperties* midiProperties)
{
}

void TrackModel::setPatch(uchar i)
{
}

void TrackModel::setChannel(uchar i)
{
}

void TrackModel::setChannelEffects(uchar i)
{
}

void TrackModel::setMidiPort(int i)
{
}

void TrackModel::setBank(unsigned int i)
{
}

void TrackModel::setVolume(uchar i)
{
}

void TrackModel::setBalance(char i)
{
}

void TrackModel::setChorus(uchar i)
{
}

void TrackModel::setReverb(uchar i)
{
}

void TrackModel::setPhaser(uchar i)
{
}

void TrackModel::setTremolo(uchar i)
{
}

void TrackModel::setTimeSignature(TimeSignature* timeSignature)
{
}

void TrackModel::setNumerator(uchar c)
{
}

void TrackModel::setDenominator(uchar c)
{
}
*/
#include "trackmodel.moc"
